WIMDIR(1)

NAME
wimdir - List the files contained in a WIM image

SYNOPSIS
wimdir WIMFILE [IMAGE] [OPTION...]

DESCRIPTION
wimdir, or equivalently wimlib-imagex dir, lists the files and directories contained in the specified image of the Windows Imaging (WIM) archive WIMFILE.

IMAGE specifies the image in WIMFILE to list. It may be the 1-based index of an image, the name of an image, or the keyword "all" to specify all images. It may be omitted if WIMFILE contains only one image. You can use wiminfo(1) to list the images contained in WIMFILE.

OPTIONS

--path=PATH
    List the files under PATH instead of under the root directory.

--detailed
    List detailed information about each file.

--one-file-only
    List information about the specified file only. Intended for use with both --path and --detailed.

--ref="GLOB"
    File glob of additional WIMs or split WIM parts to reference resources from. This option can be specified multiple times. This option is only useful when --detailed is also specified.

NOTES
wimdir supports split WIMs, but it only works on the first part of the split WIM.

Detailed metadata such as timestamps and data streams is not shown unless the --detailed option is used.

EXAMPLES
List all files and directories in the first image of 'boot.wim':

    wimdir boot.wim 1

SEE ALSO
wimlib-imagex(1) wiminfo(1)